import type { _MTRDevice } from "./MTRDevice.js";
import type { _MTREnergyEVSEModeClusterChangeToModeParams } from "./MTREnergyEVSEModeClusterChangeToModeParams.js";
import type { _MTREnergyEVSEModeClusterChangeToModeResponseParams } from "./MTREnergyEVSEModeClusterChangeToModeResponseParams.js";
import type { _MTRGenericCluster } from "./MTRGenericCluster.js";
import type { _MTRReadParams } from "./MTRReadParams.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRClusterEnergyEVSEMode extends _MTRGenericCluster {
    static alloc(): _MTRClusterEnergyEVSEMode;
    static new(): _MTRClusterEnergyEVSEMode;
    init(): _MTRClusterEnergyEVSEMode;
    changeToModeWithParams$expectedValues$expectedValueInterval$completion$(params: _MTREnergyEVSEModeClusterChangeToModeParams, expectedDataValueDictionaries: _NSArray | null, expectedValueIntervalMs: _NSNumber | null, completion: ((data: _MTREnergyEVSEModeClusterChangeToModeResponseParams, error: _NSError) => void) | null): void;
    readAttributeSupportedModesWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeCurrentModeWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeGeneratedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAcceptedCommandListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeAttributeListWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeFeatureMapWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    readAttributeClusterRevisionWithParams$(params: _MTRReadParams | null): _NSDictionary | null;
    /**
     * For all instance methods that take a completion (i.e. command invocations), the completion will be called on the provided queue.
     */
    initWithDevice$endpointID$queue$(device: _MTRDevice, endpointID: _NSNumber, queue: _NSObject): _MTRClusterEnergyEVSEMode | null;
}
